
Katello - Bug #37203

Missing related changes on Errata page when display_fqdn_for_hosts is disabled

02/22/2024 01:25 PM - Matěj Mudra

Status: Closed   

Priority: Low   

Assignee: Matěj Mudra   

Category: Errata Management   

Target version: Katello 4.12.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 2265509 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/109
Description

Steps:

1. Disable the setting display_fqdn_for_hosts in Satellite

2. Prepare dummy errata to apply on host

3. Navigate to Content > Content Types > Errata > Applicable/Installable

4. Select Errata and move to content hosts tab

5. Verify short-names are used and domain isn't appended

I check this used to work earlier on 6.14, and now short name isn't used here on errata page in stream/6.15

Associated revisions

Revision 2775554c - 02/29/2024 04:12 PM - Matěj Mudra 

Refs #37203 - display name according to setting in errata host list

History

#1 - 02/22/2024 01:27 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/10907 added

#2 - 02/28/2024 06:44 PM - Ian Ballou

- Target version set to Katello 4.12.0

- Triaged changed from No to Yes

#3 - 02/29/2024 08:59 AM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/10912 added

#4 - 02/29/2024 04:19 PM - Chris Roberts

- Status changed from Ready For Testing to Closed

#5 - 03/01/2024 02:28 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/10896 added

#6 - 03/07/2024 08:24 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/10918 added
